%global pypi_name tomlkit

%{?python_enable_dependency_generator}

%global common_description %{expand:
TOML Kit is a 0.5.0-compliant TOML library.

It includes a parser that preserves all comments, indentations,
whitespace and internal element ordering, and makes them accessible and
editable via an intuitive API.

You can also create new TOML documents from scratch using the provided
helpers.

Part of the implementation as been adapted, improved and fixed from
Molten.}

Name:           python-%{pypi_name}
Summary:        Style preserving TOML library
Version:        0.11.4
Release:        %mkrel 1
License:        MIT
Group:          Development/Python
URL:            https://github.com/sdispater/tomlkit
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

# test dependencies
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pyyaml)

%description %{common_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name} %{common_description}


%prep
%autosetup -n %{pypi_name}-%{version} -p1


%build
%py3_build


%install
%py3_install


%check
%{__python3} -m pytest tests/


%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md

%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Sep 05 2022 kekepower <kekepower> 0.11.4-1.mga9
+ Revision: 1884275
- Update to version 0.11.4

* Mon Mar 28 2022 umeabot <umeabot> 0.9.2-2.mga9
+ Revision: 1829522
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 joequant <joequant> 0.9.2-1.mga9
+ Revision: 1774654
- update to 0.9.2 and python 3.10

* Sat Apr 10 2021 joequant <joequant> 0.7.0-1.mga9
+ Revision: 1714445
- imported package python-tomlkit

